Sign in to follow this  
Followers 0
SNB

Xposed for Samsung [LP] 3.0 alpha 4 v75

2 posts in this topic

Xposed for Samsung [LP] 3.0 alpha 4 v75

Requirements: 5.1+

Overview: This is an Xposed framework variant built for Samsung devices.

 

lSynyrW.jpg

 

This is an Xposed framework variant built and tested on the Galaxy S6 (G920F) and the Galaxy Note 4 (N910C), but it should support all other Samsung devices (GS5, Note 5, GS6E, GS6E+...) running TW 5.1.1.

 

Samsung made a lot of changes to ART without providing the sources, that's why it took a while to workaround some of their changes, more information here.

 

It supports Deodexed and Odexed TW Roms.

 

Tested on my G920F with my Rom, and on Note 5 by @jthrasher47 and @imfaraz, thanks for your patience guys.

 

Prerequisite:

- Stock (or close to stock) 5.1.1 Roms

- CWM recovery

 

Bugs report:

- If you get any App FC, lag, bootloop... post your Rom details, xposed logs and PM your logcat

- Make sure you are flashing the correct version: arm for arm32 devices GS5, Note4,... and arm64 for GS6, Note5...

- Disable all modules and reboot to make sure your issue is related to the framework

 

How to install:

- Install Xposed Installer App

- Make a nandroid backup

- Copy the Xposed file and the uninstaller to your sdcard

- Flash "xposed-vxx-sdk22-tw-arm64-custom-build-by-wanam-xxxxxxxx.zip" through CWM recovery

- Reboot

 

Changeslog:

 

v75 (08/10/2015):

Updated to @rovo89 latest changes:

- Unified version to support old Roms and new ones that come with new app_process changes

- Disabled dex2oat watchdog

Check here for more details. 

 

v74 (07/10/2015):

This update revert "disable must_relocate=false" and avoid the header image checks instead, as it seems the only change on previous version that may cause the random reboots reported by some users.

 

I posted also a variant (under android_511_r19 folder) that is compatible with some newest FWs (OI9+ on GS6), these FWs comes with a new security commit introducing a new zygote parameter that breaks Xposed. Do NOT use this variant on older Roms.

 

This app has no advertisements

 

More Info:

>http://forum.xda-developers.com/xposed/unofficial-xposed-samsung-lollipop-t3180960'>>http://forum.xda-developers.com/xposed/unofficial-xposed-samsung-lollipop-t3180960

Download Instructions:

arm:


arm64:

 


Xposed Unistallers

 

arm:

 



arm64:

 



 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0